Skip to main content

Get shared resource's network configuration

GET 

/cdx/v1/consumer-shared-resources/:id:network

General Availability

Returns network information of the shared resource

Request

Responses

The network information of the shared resource

OpenAPI definition (YAML)
paths:
  /cdx/v1/consumer-shared-resources/{id}:network:
    get:
      description: '[![General Availability](https://img.shields.io/badge/Lifecycle%20Stage-General%20Availability-%2345c6e8)](#section/Versioning/API-Lifecycle-Policy)


        Returns network information of the shared resource'
      x-lifecycle-stage: General Availability
      x-self-access: true
      x-name: cdx.v1.ConsumerSharedResource
      operationId: networkCdxV1ConsumerSharedResource
      parameters:
      - name: id
        in: path
        required: true
        schema:
          type: string
        description: The unique identifier for the consumer shared resource.
      tags:
      - Consumer Shared Resources (cdx/v1)
      security:
      - cloud-api-key: []
      responses:
        '200':
          description: The network information of the shared resource
          content:
            application/json:
              schema:
                type: object
                description: The shared cluster's network configurations for consumer to setup private
                  link
                properties:
                  api_version:
                    type: string
                    enum:
                    - cdx/v1
                    description: APIVersion defines the schema version of this representation of a resource.
                    readOnly: true
                  kind:
                    type: string
                    description: Kind defines the object this REST resource represents.
                    readOnly: true
                    enum:
                    - Network
                  id:
                    description: ID is the "natural identifier" for an object within its scope/namespace;
                      it is normally unique across time but not space. That is, you can assume that the
                      ID will not be reclaimed and reused after an object is deleted ("time"); however,
                      it may collide with IDs for other object `kinds` or objects of the same `kind` within
                      a different scope/namespace ("space").
                    type: string
                    maxLength: 255
                    readOnly: true
                    example: dlz-f3a90de
                  metadata:
                    allOf:
                    - description: ObjectMeta is metadata that all persisted resources must have, which
                        includes all objects users must create.
                      required:
                      - self
                      properties:
                        self:
                          description: Self is a Uniform Resource Locator (URL) at which an object can
                            be addressed. This URL encodes the service location, API version, and other
                            particulars necessary to locate the resource at a point in time
                          type: string
                          format: uri
                          readOnly: true
                          example: https://api.confluent.cloud/v2/kafka-clusters/lkc-f3a90de
                        resource_name:
                          description: Resource Name is a Uniform Resource Identifier (URI) that is globally
                            unique across space and time. It is represented as a Confluent Resource Name
                          type: string
                          format: uri
                          readOnly: true
                          example: crn://confluent.cloud/kafka=lkc-f3a90de
                        created_at:
                          type: string
                          format: date-time
                          example: '2006-01-02T15:04:05-07:00'
                          readOnly: true
                          description: The date and time at which this object was created. It is represented
                            in RFC3339 format and is in UTC.
                        updated_at:
                          type: string
                          format: date-time
                          example: '2006-01-02T15:04:05-07:00'
                          readOnly: true
                          description: The date and time at which this object was last updated. It is
                            represented in RFC3339 format and is in UTC.
                        deleted_at:
                          type: string
                          format: date-time
                          example: '2006-01-02T15:04:05-07:00'
                          readOnly: true
                          description: The date and time at which this object was (or will be) deleted.
                            It is represented in RFC3339 format and is in UTC.
                      readOnly: true
                      title: ObjectMeta
                    - properties:
                        self:
                          example: https://api.confluent.cloud/cdx/v1/networks/n-12345
                        resource_name:
                          example: crn://confluent.cloud/organization=9bb441c4-edef-46ac-8a41-c49e44a3fd9a/environment=env-abc123/network=n-12345
                  kafka_bootstrap_url:
                    type: string
                    format: uri
                    description: The kafka cluster bootstrap url
                    example: SASL://pkc-xxxxx.us-west-2.aws.confluent.cloud:9092
                    x-immutable: true
                    readOnly: true
                  zones:
                    type: array
                    items:
                      type: string
                    uniqueItems: true
                    minItems: 3
                    maxItems: 3
                    description: "The 3 availability zones for this network. They can optionally be specified\
                      \ for AWS networks\nused with PrivateLink. Otherwise, they are automatically chosen\
                      \ by Confluent Cloud.\n\nOn AWS, zones are AWS [AZ IDs](https://docs.aws.amazon.com/ram/latest/userguide/working-with-az-ids.html)\n\
                      \ (e.g. use1-az3)\n\nOn GCP, zones are GCP [zones](https://cloud.google.com/compute/docs/regions-zones)\n\
                      \ (e.g. us-central1-c).\n\nOn Azure, zones are Confluent-chosen names (e.g. 1, 2,\
                      \ 3) since Azure does not\n have universal zone identifiers.\n"
                    example:
                    - use1-az1
                    - use1-az2
                    - use1-az3
                    x-immutable: true
                  dns_domain:
                    type: string
                    description: The root DNS domain for the network if applicable.
                    example: 00000.us-east-1.aws.glb.confluent.cloud
                    readOnly: true
                  zonal_subdomains:
                    type: object
                    additionalProperties:
                      type: string
                    description: 'The DNS subdomain for each zone. Present on networks that support PrivateLink.
                      Keys are zones and

                      values are DNS domains.

                      '
                    example:
                      use1-az1: use1-az1.00000.us-east-1.aws.confluent.cloud
                      use1-az4: use1-az4.00000.us-east-1.aws.confluent.cloud
                      use1-az5: use1-az5.00000.us-east-1.aws.confluent.cloud
                    readOnly: true
                  cloud:
                    oneOf:
                    - type: object
                      description: The AWS network details.
                      required:
                      - kind
                      properties:
                        kind:
                          description: Network kind type.
                          type: string
                          enum:
                          - AwsNetwork
                        private_link_endpoint_service:
                          type: string
                          description: The AWS VPC endpoint service for the network (used for PrivateLink)
                            if available.
                          example: com.amazonaws.vpce.eu-west-3.vpce-00000000000000000
                          readOnly: true
                      title: cdx.v1.AwsNetwork
                    - type: object
                      description: The Azure network details.
                      required:
                      - kind
                      properties:
                        kind:
                          description: Network kind type.
                          type: string
                          enum:
                          - AzureNetwork
                        private_link_service_aliases:
                          type: object
                          description: 'The mapping of zones to PrivateLink Service Aliases if available.  Keys
                            are zones

                            and values are [Azure PrivateLink Service

                            Aliases](https://docs.microsoft.com/en-us/azure/private-link/private-link-service-overview#share-your-service)

                            '
                          additionalProperties:
                            type: string
                          example:
                            '1': 0-00000-privatelink-1.00000000-0000-0000-0000-000000000000.westeurope.azure.privatelinkservice
                            '2': 0-00000-privatelink-2.00000000-0000-0000-0000-000000000000.westeurope.azure.privatelinkservice
                            '3': 0-00000-privatelink-3.00000000-0000-0000-0000-000000000000.westeurope.azure.privatelinkservice
                          readOnly: true
                      title: cdx.v1.AzureNetwork
                    - type: object
                      description: The GCP network details.
                      required:
                      - kind
                      properties:
                        kind:
                          description: Network kind type.
                          type: string
                          enum:
                          - GcpNetwork
                        private_service_connect_service_attachments:
                          type: object
                          description: 'The mapping of zones to Private Service Connect Service

                            Attachments if available. Keys are zones and values are

                            [GCP Private Service Connect Service

                            Attachment](https://cloud.google.com/vpc/docs/configure-private-service-connect-producer#api_7)

                            '
                          additionalProperties:
                            type: string
                          example:
                            us-central1-a: projects/cc-prod/regions/us-central1/serviceAttachments/s-7jjm9-service-attachment-us-central1-a
                            us-central1-b: projects/cc-prod/regions/us-central1/serviceAttachments/s-7jjm9-service-attachment-us-central1-b
                            us-central1-c: projects/cc-prod/regions/us-central1/serviceAttachments/s-7jjm9-service-attachment-us-central1-c
                          readOnly: true
                      title: cdx.v1.GcpNetwork
                    description: The cloud-specific network details. These will be populated when the
                      network reaches the READY state.
                    discriminator:
                      propertyName: kind
                      mapping:
                        AwsNetwork:
                          type: object
                          description: The AWS network details.
                          required:
                          - kind
                          properties:
                            kind:
                              description: Network kind type.
                              type: string
                              enum:
                              - AwsNetwork
                            private_link_endpoint_service:
                              type: string
                              description: The AWS VPC endpoint service for the network (used for PrivateLink)
                                if available.
                              example: com.amazonaws.vpce.eu-west-3.vpce-00000000000000000
                              readOnly: true
                          title: cdx.v1.AwsNetwork
                        AzureNetwork:
                          type: object
                          description: The Azure network details.
                          required:
                          - kind
                          properties:
                            kind:
                              description: Network kind type.
                              type: string
                              enum:
                              - AzureNetwork
                            private_link_service_aliases:
                              type: object
                              description: 'The mapping of zones to PrivateLink Service Aliases if available.  Keys
                                are zones

                                and values are [Azure PrivateLink Service

                                Aliases](https://docs.microsoft.com/en-us/azure/private-link/private-link-service-overview#share-your-service)

                                '
                              additionalProperties:
                                type: string
                              example:
                                '1': 0-00000-privatelink-1.00000000-0000-0000-0000-000000000000.westeurope.azure.privatelinkservice
                                '2': 0-00000-privatelink-2.00000000-0000-0000-0000-000000000000.westeurope.azure.privatelinkservice
                                '3': 0-00000-privatelink-3.00000000-0000-0000-0000-000000000000.westeurope.azure.privatelinkservice
                              readOnly: true
                          title: cdx.v1.AzureNetwork
                        GcpNetwork:
                          type: object
                          description: The GCP network details.
                          required:
                          - kind
                          properties:
                            kind:
                              description: Network kind type.
                              type: string
                              enum:
                              - GcpNetwork
                            private_service_connect_service_attachments:
                              type: object
                              description: 'The mapping of zones to Private Service Connect Service

                                Attachments if available. Keys are zones and values are

                                [GCP Private Service Connect Service

                                Attachment](https://cloud.google.com/vpc/docs/configure-private-service-connect-producer#api_7)

                                '
                              additionalProperties:
                                type: string
                              example:
                                us-central1-a: projects/cc-prod/regions/us-central1/serviceAttachments/s-7jjm9-service-attachment-us-central1-a
                                us-central1-b: projects/cc-prod/regions/us-central1/serviceAttachments/s-7jjm9-service-attachment-us-central1-b
                                us-central1-c: projects/cc-prod/regions/us-central1/serviceAttachments/s-7jjm9-service-attachment-us-central1-c
                              readOnly: true
                          title: cdx.v1.GcpNetwork
                    readOnly: true
                title: cdx.v1.Network
        '400':
          description: Bad Request
          headers:
            X-Request-Id:
              schema:
                type: string
              description: The unique identifier for the API request.
          content:
            application/json:
              schema:
                type: object
                description: Provides information about problems encountered while performing an operation.
                required:
                - errors
                properties:
                  errors:
                    description: List of errors which caused this operation to fail
                    type: array
                    items:
                      type: object
                      description: Describes a particular error encountered while performing an operation.
                      properties:
                        id:
                          description: A unique identifier for this particular occurrence of the problem.
                          type: string
                          maxLength: 255
                        status:
                          description: The HTTP status code applicable to this problem, expressed as a
                            string value.
                          type: string
                        code:
                          description: An application-specific error code, expressed as a string value.
                          type: string
                        title:
                          description: A short, human-readable summary of the problem. It **SHOULD NOT**
                            change from occurrence to occurrence of the problem, except for purposes of
                            localization.
                          type: string
                        detail:
                          description: A human-readable explanation specific to this occurrence of the
                            problem.
                          type: string
                        source:
                          type: object
                          description: If this error was caused by a particular part of the API request,
                            the source will point to the query string parameter or request body property
                            that caused it.
                          properties:
                            pointer:
                              description: A JSON Pointer [RFC6901] to the associated entity in the request
                                document [e.g. "/spec" for a spec object, or "/spec/title" for a specific
                                field].
                              type: string
                            parameter:
                              description: A string indicating which query parameter caused the error.
                              type: string
                        error_code:
                          type: integer
                          format: int32
                        message:
                          type: string
                          nullable: true
                      additionalProperties: false
                      title: Error
                    uniqueItems: true
                title: Failure
              example:
                errors:
                - id: ed42afdc-f0d5-4c0d-b428-9fc6ed6e279d
                  status: '400'
                  code: invalid_filter
                  title: Invalid Filter
                  detail: The 'delorean' resource can't be filtered by 'num_doors'
                  source:
                    parameter: num_doors
        '401':
          x-summary: Unauthorized
          description: The request lacks valid authentication credentials for this resource.
          headers:
            X-Request-Id:
              schema:
                type: string
              description: The unique identifier for the API request.
            WWW-Authenticate:
              schema:
                type: string
              description: The unique identifier for the API request.
              example: Basic error="invalid_key", error_description="The API Key is invalid"
          content:
            application/json:
              schema:
                type: object
                description: Provides information about problems encountered while performing an operation.
                required:
                - errors
                properties:
                  errors:
                    description: List of errors which caused this operation to fail
                    type: array
                    items:
                      type: object
                      description: Describes a particular error encountered while performing an operation.
                      properties:
                        id:
                          description: A unique identifier for this particular occurrence of the problem.
                          type: string
                          maxLength: 255
                        status:
                          description: The HTTP status code applicable to this problem, expressed as a
                            string value.
                          type: string
                        code:
                          description: An application-specific error code, expressed as a string value.
                          type: string
                        title:
                          description: A short, human-readable summary of the problem. It **SHOULD NOT**
                            change from occurrence to occurrence of the problem, except for purposes of
                            localization.
                          type: string
                        detail:
                          description: A human-readable explanation specific to this occurrence of the
                            problem.
                          type: string
                        source:
                          type: object
                          description: If this error was caused by a particular part of the API request,
                            the source will point to the query string parameter or request body property
                            that caused it.
                          properties:
                            pointer:
                              description: A JSON Pointer [RFC6901] to the associated entity in the request
                                document [e.g. "/spec" for a spec object, or "/spec/title" for a specific
                                field].
                              type: string
                            parameter:
                              description: A string indicating which query parameter caused the error.
                              type: string
                        error_code:
                          type: integer
                          format: int32
                        message:
                          type: string
                          nullable: true
                      additionalProperties: false
                      title: Error
                    uniqueItems: true
                title: Failure
              example:
                errors:
                - id: ed42afdc-f0d5-4c0d-b428-9fc6ed6e279d
                  status: '401'
                  code: user_unauthenticated
                  title: Authentication Required
                  detail: Valid authentication credentials must be provided
        '403':
          x-summary: Forbidden
          description: The access credentials were considered insufficient to grant access
          headers:
            X-Request-Id:
              schema:
                type: string
              description: The unique identifier for the API request.
          content:
            application/json:
              schema:
                type: object
                description: Provides information about problems encountered while performing an operation.
                required:
                - errors
                properties:
                  errors:
                    description: List of errors which caused this operation to fail
                    type: array
                    items:
                      type: object
                      description: Describes a particular error encountered while performing an operation.
                      properties:
                        id:
                          description: A unique identifier for this particular occurrence of the problem.
                          type: string
                          maxLength: 255
                        status:
                          description: The HTTP status code applicable to this problem, expressed as a
                            string value.
                          type: string
                        code:
                          description: An application-specific error code, expressed as a string value.
                          type: string
                        title:
                          description: A short, human-readable summary of the problem. It **SHOULD NOT**
                            change from occurrence to occurrence of the problem, except for purposes of
                            localization.
                          type: string
                        detail:
                          description: A human-readable explanation specific to this occurrence of the
                            problem.
                          type: string
                        source:
                          type: object
                          description: If this error was caused by a particular part of the API request,
                            the source will point to the query string parameter or request body property
                            that caused it.
                          properties:
                            pointer:
                              description: A JSON Pointer [RFC6901] to the associated entity in the request
                                document [e.g. "/spec" for a spec object, or "/spec/title" for a specific
                                field].
                              type: string
                            parameter:
                              description: A string indicating which query parameter caused the error.
                              type: string
                        error_code:
                          type: integer
                          format: int32
                        message:
                          type: string
                          nullable: true
                      additionalProperties: false
                      title: Error
                    uniqueItems: true
                title: Failure
              example:
                errors:
                - id: ed42afdc-f0d5-4c0d-b428-9fc6ed6e279d
                  status: '403'
                  code: user_unauthorized
                  title: User Access Unauthorized
                  detail: The user 'mcfly' is not allowed to access the 'delorean' resource without the
                    'plutonium' role.
        '404':
          description: Not Found
          headers:
            X-Request-Id:
              schema:
                type: string
              description: The unique identifier for the API request.
          content:
            application/json:
              schema:
                type: object
                description: Provides information about problems encountered while performing an operation.
                required:
                - errors
                properties:
                  errors:
                    description: List of errors which caused this operation to fail
                    type: array
                    items:
                      type: object
                      description: Describes a particular error encountered while performing an operation.
                      properties:
                        id:
                          description: A unique identifier for this particular occurrence of the problem.
                          type: string
                          maxLength: 255
                        status:
                          description: The HTTP status code applicable to this problem, expressed as a
                            string value.
                          type: string
                        code:
                          description: An application-specific error code, expressed as a string value.
                          type: string
                        title:
                          description: A short, human-readable summary of the problem. It **SHOULD NOT**
                            change from occurrence to occurrence of the problem, except for purposes of
                            localization.
                          type: string
                        detail:
                          description: A human-readable explanation specific to this occurrence of the
                            problem.
                          type: string
                        source:
                          type: object
                          description: If this error was caused by a particular part of the API request,
                            the source will point to the query string parameter or request body property
                            that caused it.
                          properties:
                            pointer:
                              description: A JSON Pointer [RFC6901] to the associated entity in the request
                                document [e.g. "/spec" for a spec object, or "/spec/title" for a specific
                                field].
                              type: string
                            parameter:
                              description: A string indicating which query parameter caused the error.
                              type: string
                        error_code:
                          type: integer
                          format: int32
                        message:
                          type: string
                          nullable: true
                      additionalProperties: false
                      title: Error
                    uniqueItems: true
                title: Failure
              example:
                errors:
                - id: ed42afdc-f0d5-4c0d-b428-9fc6ed6e279d
                  status: '404'
                  title: Not Found
        '429':
          description: Rate Limit Exceeded
          headers:
            X-Request-Id:
              schema:
                type: string
              description: The unique identifier for the API request.
            X-RateLimit-Limit:
              schema:
                type: integer
              description: The maximum number of requests you're permitted to make per time period.
            X-RateLimit-Remaining:
              schema:
                type: integer
              description: The number of requests remaining in the current rate limit window.
            X-RateLimit-Reset:
              schema:
                type: integer
              description: "The relative time in seconds until the current rate-limit window resets. \
                \ \n  \n**Important:** This differs from Github and Twitter's same-named header which\
                \ uses UTC epoch seconds. We use relative time to avoid client/server time synchronization\
                \ issues."
            Retry-After:
              schema:
                type: integer
              description: The number of seconds to wait until the rate limit window resets. Only sent
                when the rate limit is reached.
        '500':
          description: Oops, something went wrong!
          headers:
            X-Request-Id:
              schema:
                type: string
              description: The unique identifier for the API request.
          content:
            application/json:
              schema:
                type: object
                description: Provides information about problems encountered while performing an operation.
                required:
                - errors
                properties:
                  errors:
                    description: List of errors which caused this operation to fail
                    type: array
                    items:
                      type: object
                      description: Describes a particular error encountered while performing an operation.
                      properties:
                        id:
                          description: A unique identifier for this particular occurrence of the problem.
                          type: string
                          maxLength: 255
                        status:
                          description: The HTTP status code applicable to this problem, expressed as a
                            string value.
                          type: string
                        code:
                          description: An application-specific error code, expressed as a string value.
                          type: string
                        title:
                          description: A short, human-readable summary of the problem. It **SHOULD NOT**
                            change from occurrence to occurrence of the problem, except for purposes of
                            localization.
                          type: string
                        detail:
                          description: A human-readable explanation specific to this occurrence of the
                            problem.
                          type: string
                        source:
                          type: object
                          description: If this error was caused by a particular part of the API request,
                            the source will point to the query string parameter or request body property
                            that caused it.
                          properties:
                            pointer:
                              description: A JSON Pointer [RFC6901] to the associated entity in the request
                                document [e.g. "/spec" for a spec object, or "/spec/title" for a specific
                                field].
                              type: string
                            parameter:
                              description: A string indicating which query parameter caused the error.
                              type: string
                        error_code:
                          type: integer
                          format: int32
                        message:
                          type: string
                          nullable: true
                      additionalProperties: false
                      title: Error
                    uniqueItems: true
                title: Failure
              example:
                errors:
                - id: ed42afdc-f0d5-4c0d-b428-9fc6ed6e279d
                  status: '500'
                  code: out_of_gas
                  title: DeLorean Out Of Gas
                  detail: The DeLorean has run out of gas, but Doc Brown will fill 'er up for you asap
      servers:
      - url: https://api.confluent.cloud
        description: Confluent Cloud API